Home
last modified time | relevance | path

Searched full:echo (Results 1 – 25 of 160) sorted by relevance

1234567

/build/make/tools/
Dbuildinfo.sh3 echo "# begin build properties"
4 echo "# autogenerated by buildinfo.sh"
8 echo "ro.build.legacy.id=$BUILD_ID"
10 echo "ro.build.id=$BUILD_ID"
12 echo "ro.build.display.id=$BUILD_DISPLAY_ID"
13 echo "ro.build.version.incremental=$BUILD_NUMBER"
14 echo "ro.build.version.sdk=$PLATFORM_SDK_VERSION"
15 echo "ro.build.version.preview_sdk=$PLATFORM_PREVIEW_SDK_VERSION"
16 echo "ro.build.version.preview_sdk_fingerprint=$PLATFORM_PREVIEW_SDK_FINGERPRINT"
17 echo "ro.build.version.codename=$PLATFORM_VERSION_CODENAME"
[all …]
Dgenerate-self-extracting-archive.py47 echo
48 echo The license for this software will now be displayed.
49 echo You must agree to this license before using this software.
50 echo
51 echo -n Press Enter to view the license
53 echo
60 echo "ERROR: Couldn't display license file" 1>&2
63 echo
64 echo -n 'Type "I ACCEPT" if you agree to the terms of the license: '
68 echo
[all …]
Dbuild-license-metadata.sh51 case "${lstatus}" in 2) echo "${USAGE}" >&2; echo >&2 ;; esac
53 echo -e "$*\n" >&2
67 echo "${USAGE}"
166 lnewdeps=$(echo "${lnewdeps}" | tr ' ' '\n' | sort -u)
178 lalldeps=$(for d in ${lalldeps}; do echo "${d}"; done | sort -u)
209 echo "${lconditions}"
224 echo 'license_package_name: "'${license_package_name}'"'
226 echo 'license_kind: "'${kind}'"'
229 echo 'license_condition: "'${condition}'"'
232 echo 'license_text: "'${f}'"'
[all …]
/build/bazel/scripts/
Drun_presubmits.sh6 echo "Please run this script from TOP".
10 echo "Running presubmit scripts..."
11 echo
13 echo bp2build.sh
15 echo
17 echo mixed_libc.sh
19 echo
21 echo run_integration_tests.sh
23 echo
25 echo "All Tests Passed! You Are Awesome!"
/build/make/core/
Dproduct-graph.mk72 $(hide) echo \"$(1)\" [ \
84 @echo Product graph DOT: $@ for $(PRIVATE_PRODUCTS_FILTER)
85 $(hide) echo 'digraph {' > $@.in
86 $(hide) echo 'graph [ ratio=.5 ];' >> $@.in
88 $(foreach d,$(PRODUCTS.$(strip $(p)).INHERITS_FROM), echo \"$(d)\" -\> \"$(p)\" >> $@.in;))
90 $(hide) echo '}' >> $@.in
103 @echo Product debug info file: $$@
106 $(hide) echo 'FILE=$(strip $(1))' >> $$@
107 $(hide) echo 'PRODUCT_NAME=$(call get-product-var,$(1),PRODUCT_NAME)' >> $$@
108 $(hide) echo 'PRODUCT_MODEL=$(call get-product-var,$(1),PRODUCT_MODEL)' >> $$@
[all …]
Dsysprop.mk33 echo "####################################" >> $(2);\
34 echo "# from generate-common-build-props" >> $(2);\
35 echo "# These properties identify this partition image." >> $(2);\
36 echo "####################################" >> $(2);\
38 echo "ro.product.$(1).brand=$(PRODUCT_SYSTEM_BRAND)" >> $(2);\
39 echo "ro.product.$(1).device=$(PRODUCT_SYSTEM_DEVICE)" >> $(2);\
40 echo "ro.product.$(1).manufacturer=$(PRODUCT_SYSTEM_MANUFACTURER)" >> $(2);\
41 echo "ro.product.$(1).model=$(PRODUCT_SYSTEM_MODEL)" >> $(2);\
42 echo "ro.product.$(1).name=$(PRODUCT_SYSTEM_NAME)" >> $(2);\
44 echo "ro.product.$(1).brand=$(PRODUCT_BRAND)" >> $(2);\
[all …]
/build/make/
Denvsetup.sh59 echo $A
113 eval "echo \"\${abs_var_cache_$1}\""
119 echo "Couldn't locate the top of the tree. Try setting TOP." >&2
130 eval "echo \"\${var_cache_$1}\""
136 echo "Couldn't locate the top of the tree. Try setting TOP." >&2
147 echo "Couldn't locate the top of the tree. Try setting TOP." >&2
178 echo "Couldn't locate the top of the tree. Try setting TOP."
231 echo "Can't find toolchain for unknown architecture: $ARCH"
336 echo "Couldn't locate the top of the tree. Try setting TOP."
341 … >&2 echo "NOTE: bazel() function sourced from envsetup.sh is being used instead of $(which bazel)"
[all …]
/build/make/tools/product_config/
Dtest.sh45 echo
46 echo Running unit tests
54 echo
55 echo "Checking: lunch $product-$variant"
63 echo "*** Combo fails with make, skipping product-config test run for $product-$variant"
100 echo
101 echo
102 echo "------------------------------"
103 echo SUMMARY
104 echo "------------------------------"
[all …]
/build/blueprint/
Dbootstrap.bash66 echo "Usage of ${BOOTSTRAP}:"
67 echo " -h: print a help message and exit"
68 echo " -b <builddir>: set the build directory"
69 echo " -t: run tests"
70 echo " -n: use validations to depend on tests"
84 echo "Invalid option: -$OPTARG" >&2
89 echo "Option -$OPTARG requires an argument." >&2
114 echo "bootstrapBuildDir = $BUILDDIR" > $BUILDDIR/.minibootstrap/build.ninja
115 echo "topFile = $SRCDIR/$TOPNAME" >> $BUILDDIR/.minibootstrap/build.ninja
116 echo "extraArgs = $EXTRA_ARGS" >> $BUILDDIR/.minibootstrap/build.ninja
[all …]
/build/make/tools/fs_config/end_to_end_test/
Drun_test.sh12 diff system_fs_config_files result_system_fs_config_files 1>/dev/null && echo 'Success system_fs_co…
13 echo 'Fail: Mismatch between system_fs_config_files and result_system_fs_config_files'
24 diff system_fs_config_dirs result_system_fs_config_dirs 1>/dev/null && echo 'Success system_fs_conf…
25 echo 'Fail: Mismatch between system_fs_config_dirs and result_system_fs_config_dirs'
35 diff vendor_fs_config_files result_vendor_fs_config_files 1>/dev/null && echo 'Success vendor_fs_co…
36 echo 'Fail: Mismatch between vendor_fs_config_files and result_vendor_fs_config_files'
46 diff vendor_fs_config_dirs result_vendor_fs_config_dirs 1>/dev/null && echo 'Success vendor_fs_conf…
47 echo 'Fail: Mismatch between vendor_fs_config_dirs and result_vendor_fs_config_dirs'
57 diff product_fs_config_files result_product_fs_config_files 1>/dev/null && echo 'Success product_fs…
58 echo 'Fail: Mismatch between product_fs_config_files and result_product_fs_config_files'
[all …]
/build/soong/scripts/
Dgen_ndk_backedby_apex.sh23 echo "**************************** Usage Instructions ****************************"
24 echo "This script is used to generate the Mainline modules backed-by NDK symbols."
25 echo ""
26echo "To run this script use: ./gen_ndk_backed_by_apex.sh \$OUTPUT_FILE_PATH \$NDK_LIB_NAME_LIST \…
27 echo "For example: If output write to /backedby.txt then the command would be:"
28 echo "./gen_ndk_backed_by_apex.sh /backedby.txt /ndkLibList.txt lib1.so lib2.so"
29 echo "If the module1 is backing lib1 then the backedby.txt would contains: "
30 echo "lib1"
54 soFileName=$(echo "$line" | sed 's/\(.*so\).*/\1/')
58 echo "$soFileName" >> "$out"
[all …]
Ddiff_build_graphs.sh24 echo "$@" >&2
87 project="$(echo $versionSpec | sed 's|\([^:]*\):\([^:]*\)|\1|')"
88 ref="$(echo $versionSpec | sed 's|\([^:]*\):\([^:]*\)|\2|')"
89 echo "checking out ref $ref in project $project"
95 echo
96 echo "Starting build"
101 builder="$(echo $OUT_DIR/soong/host/*/bin/multiproduct_kati)"
103 echo
123 echo "First few differences (total diff linecount=$(wc -l $diffFile)) for product $product:"
125 echo "End of differences for product $product"
[all …]
Dtoc.sh38 …("${CLANG_BIN}/llvm-readelf" -d "${infile}" | grep SONAME || echo "No SONAME for ${infile}") > "${…
79 *) echo "Unknown option --${OPTARG}"; usage ;;
82 *) echo "'${opt}' '${OPTARG}'"
87 echo "-i argument is required"
92 echo "-o argument is required"
97 echo "-d argument is required"
102 echo "CLANG_BIN environment variable must be set"
120 echo "--elf, --macho or --pe is required"; usage
Dstrip.sh67 echo "${symbols_to_keep}" | tr ',' '\n' > "${outfile}.symbolList"
84 echo >> "${outfile}.keep_symbols" # Ensure that the keep_symbols file is not empty.
117 *) echo "unknown OS:" $(uname) >&2 && exit 1;;
144 *) echo "Unknown option --${OPTARG}"; usage ;;
147 *) echo "'${opt}' '${OPTARG}'"
152 echo "-i argument is required"
157 echo "-o argument is required"
162 echo "-d argument is required"
167 echo "--keep-symbols and --keep-mini-debug-info cannot be used together"
172 echo "--keep-symbols and --keep-symbols-and-debug-frame cannot be used together"
[all …]
/build/soong/apex/
Dapex_singleton.go57 echo -e "\n******************************";
58 echo "ERROR: go/apex-allowed-deps-error";
59 echo "******************************";
60 echo "Detected changes to allowed dependencies in updatable modules.";
61 echo "To fix and update packages/modules/common/build/allowed_deps.txt, please run:";
62 echo -e "$$ (croot && packages/modules/common/build/update-apex-allowed-deps.sh)\n";
63 echo "When submitting the generated CL, you must include the following information";
64 echo "in the commit message if you are adding a new dependency:";
65 echo "Apex-Size-Increase:";
66 echo "Previous-Platform-Support:";
[all …]
/build/blueprint/tests/
Dtest_tree_tests.sh15 echo "cleaning up ${TEMPDIR}"
42 echo "unnecessary build.ninja regeneration for null build" >&2
47 echo "unnecessary .bootstrap/build.ninja regeneration for null build" >&2
58 echo "unnecessary build.ninja regeneration for new empty directory" >&2
62 echo "unnecessary .bootstrap/build.ninja regeneration for new empty directory" >&2
73 echo "Failed to rebuild build.ninja for glob addition" >&2
77 echo "Failed to rebuild .bootstrap/build.ninja for glob addition" >&2
90 echo "Failed to rebuild build.ninja for glob removal" >&2
94 echo "Failed to rebuild .bootstrap/build.ninja for glob removal" >&2
107 echo "unnecessary build.ninja regeneration for removal of empty directory" >&2
[all …]
/build/make/core/tasks/tools/
Dbuild_custom_image.mk113 @echo "Build image $@"
123 …$(hide) echo "# For all accepted properties, see BuildImage() in tools/releasetools/build_image.py…
124 $(hide) echo "mount_point=$(PRIVATE_MOUNT_POINT)" >> $(PRIVATE_INTERMEDIATES)/image_info.txt
125 $(hide) echo "partition_name=$(PRIVATE_MOUNT_POINT)" >> $(PRIVATE_INTERMEDIATES)/image_info.txt
126 $(hide) echo "fs_type=$(PRIVATE_FILE_SYSTEM_TYPE)" >> $(PRIVATE_INTERMEDIATES)/image_info.txt
127 $(hide) echo "partition_size=$(PRIVATE_PARTITION_SIZE)" >> $(PRIVATE_INTERMEDIATES)/image_info.txt
128 $(hide) echo "ext_mkuserimg=$(notdir $(MKEXTUSERIMG))" >> $(PRIVATE_INTERMEDIATES)/image_info.txt
129 …$(if $(PRIVATE_SELINUX),$(hide) echo "selinux_fc=$(SELINUX_FC)" >> $(PRIVATE_INTERMEDIATES)/image_…
131 $(hide) echo "verity=$(PRIVATE_SUPPORT_VERITY)" >> $(PRIVATE_INTERMEDIATES)/image_info.txt;\
132 echo "verity_key=$(PRIVATE_VERITY_KEY)" >> $(PRIVATE_INTERMEDIATES)/image_info.txt;\
[all …]
/build/bazel/
Dbazel.sh25 echo "$T"
45 echo "${out_dir}"
50 >&2 echo "Couldn't locate the top of the tree. Try setting TOP."
96 >&2 echo "Couldn't locate Bazel binary"
103 >&2 echo "Couldn't locate bazelrc file for Bazel"
110 >&2 echo "Couldn't locate JDK to use for Bazel"
114 >&2 echo "WARNING: Bazel support for the Android Platform is experimental and is undergoing develop…
115 >&2 echo "WARNING: Currently, build stability is not guaranteed. Thank you."
116 >&2 echo
/build/make/core/tasks/
Dide.mk52 $(hide) echo Generating .classpath for eclipse
53 $(hide) echo '<classpath>' > $@
55 echo -n ' <classpathentry kind="src" path="' >> $@ ; \
56 ( if [ -d $$p/src ] ; then echo -n $$p/src ; else echo -n $$p ; fi ) >> $@ ; \
57 echo '"/>' >> $@ ; \
59 $(hide) echo '</classpath>' >> $@
/build/soong/
Dsoong.bash17 echo '==== ERROR: bootstrap.bash & ./soong are obsolete ====' >&2
18 echo 'Use `m --skip-make` with a standalone OUT_DIR instead.' >&2
19 echo 'Without envsetup.sh, use:' >&2
20 echo ' build/soong/soong_ui.bash --make-mode --skip-make' >&2
21 echo '======================================================' >&2
Dbootstrap.bash17 echo '==== ERROR: bootstrap.bash & ./soong are obsolete ====' >&2
18 echo 'Use `m --skip-make` with a standalone OUT_DIR instead.' >&2
19 echo 'Without envsetup.sh, use:' >&2
20 echo ' build/soong/soong_ui.bash --make-mode --skip-make' >&2
21 echo '======================================================' >&2
/build/make/target/product/gsi/
DAndroid.mk58 || ( echo -e $(_vndk_check_failure_message); exit 1 ))
75 @echo "Generate: $@"
78 $(hide) echo "#!/bin/bash" > $@
80 $(hide) echo "echo Updating VNDK library list is NOT allowed in API locked branches." >> $@; \
81 echo "exit 1" >> $@
83 $(hide) echo "if [ -z \"\$${ANDROID_BUILD_TOP}\" ]; then" >> $@; \
84 echo " echo Run lunch or choosecombo first" >> $@; \
85 echo " exit 1" >> $@; \
86 echo "fi" >> $@; \
87 echo "cd \$${ANDROID_BUILD_TOP}" >> $@; \
[all …]
/build/make/tests/
Denvsetup_tests.sh9 echo lunch $1
13 …[ "$TARGET_PRODUCT" = "$2" ] || ( echo "lunch $1: expected TARGET_PRODUCT='$2', got '$TARGET_PRODU…
14 …[ "$TARGET_BUILD_VARIANT" = "$3" ] || ( echo "lunch $1: expected TARGET_BUILD_VARIANT='$3', got '$…
15 …[ "$TARGET_PLATFORM_VERSION" = "$4" ] || ( echo "lunch $1: expected TARGET_PLATFORM_VERSION='$4', …
/build/soong/genrule/
Dgenrule_test.go272 cmd: "echo foo > $(out)",
274 expect: "echo foo > __SBOX_SANDBOX_DIR__/out/out __SBOX_SANDBOX_DIR__/out/out2",
280 cmd: "echo foo > $(location out2)",
282 expect: "echo foo > __SBOX_SANDBOX_DIR__/out/out2",
289 cmd: "echo foo > $(out) && touch $(depfile)",
291 expect: "echo foo > __SBOX_SANDBOX_DIR__/out/out && touch __SBOX_DEPFILE__",
297 cmd: "echo foo > $(genDir)/foo && cp $(genDir)/foo $(out)",
299 …expect: "echo foo > __SBOX_SANDBOX_DIR__/out/foo && cp __SBOX_SANDBOX_DIR__/out/foo __SBOX_SANDBOX…
305 cmd: "echo $$ > $(out)",
307 expect: "echo $ > __SBOX_SANDBOX_DIR__/out/out",
[all …]
/build/bazel/ci/
Dmixed_libc.sh7 echo "DIST_DIR not set. Using out/dist. This should only be used for manual developer testing."
15 echo "Verifying OUT_DIR contains bazel-out..."
17 echo "bazel-out found."
19 echo "bazel-out not found. This may indicate that mixed builds are silently not running."

1234567